%define anolis_release 2
Name:       xkbcomp
Version:    1.4.6
Release:    %{anolis_release}%{?dist}
Summary:    X Keyboard Extension keymap compiler
License:    MIT
URL:        https://www.x.org
Source0:    %{url}/pub/individual/app/xkbcomp-%{version}.tar.xz

BuildRequires: make gcc
BuildRequires: pkgconfig(x11) pkgconfig(xkbfile)
BuildRequires: pkgconfig(xorg-macros) >= 1.8 pkgconfig(xproto) >= 7.0.17

Obsoletes:  xorg-x11-xkb-utils < 7.8

%description
X.Org XKB keymap compiler
The X Keyboard Extension essentially replaces the core protocol definition of
keyboard. The extension makes possible to clearly and explicitly specify most
aspects of keyboard behaviour on per-key basis and to more closely track the
logical and physical state of the keyboard. It also includes a number of
keyboard controls designed to make keyboards more accessible to people with
physical impairments.

%package devel
Summary:    X Keyboard Extension keymap compiler development package
Requires:   %{name} = %{EVR}

%description devel
X.Org X Keyboard Extension keymap compiler development files

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_bindir}/xkbcomp
%{abidir}/xkbcomp-option.list
%{_mandir}/man1/xkbcomp.1*

%files devel
%{_libdir}/pkgconfig/xkbcomp.pc

%files doc
%doc README man/xkbcomp.man INSTALL ChangeLog

%changelog
* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.4.6-2
- optimize spec

* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.4.6-1
- New version 1.4.6

* Fri Oct 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.5-3
- optimise spec file

* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.5-2
- add api

* Fri Apr 15 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.5-1
- init from upstream
